StellarGraph

Unable to install stellargraph

Am new to stellargraph. I tried to do a fresh install of stellargraph on my machine. everything went well. However the command import stellargraph ran into the following errors:

Using TensorFlow backend.

ImportError Traceback (most recent call last)
~/.anaconda/lib/python3.7/site-packages/tensorflow/python/pywrap_tensorflow.py in
57
—> 58 from tensorflow.python.pywrap_tensorflow_internal import *
59 from tensorflow.python.pywrap_tensorflow_internal import version

Hi Amit,

thank you for using our library!

Can we please have some more information about the error?

What version of tensorflow are you using?

Was tensorflow installed as a dependency when you installed stellargraph or was it installed separately (via pip install tensorflow)?

If you try “import tensorflow as tf” do you get the same error as above? If so, the problem may be with your tensorflow installation not with stellargraph.

Let us know if any of the above helps!

Regards,

P.

A fresh install of tensorflow and stellargraph helped. Thanks